The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

форумы  помощь  поиск  регистрация  майллист  ВХОД  слежка  RSS
"OpenNews: Вышел PHP 5.1.3, рекомендуется срочное обновление"
Вариант для распечатки  
Пред. тема | След. тема 
Форумы Разговоры, обсуждение новостей (Public)
Изначальное сообщение [Проследить за развитием треда]

"OpenNews: Вышел PHP 5.1.3, рекомендуется срочное обновление"  
Сообщение от opennews (ok) on 02-Май-06, 15:13 
В PHP 5.1.3 (http://www.php.net/release_5_1_3.php) кроме устранения около 130 текущих ошибок исправлено 7 проблем безопасности разной степени опасности.


Из изменений можно отметить полностью переписанный код для работы под FastCGI и обновление библиотеки PCRE до версии 6.6.


Кроме того устранены ошибки в модулях DOM, SOAP и PDO приводящих к краху php.

URL: http://www.php.net/release_5_1_3.php
Новость: http://www.opennet.ru/opennews/art.shtml?num=7429

Правка | Высказать мнение | Ответить | Cообщить модератору | Наверх

 Оглавление

Сообщения по теме [Сортировка по времени, UBB]


1. "Вышел PHP 5.1.3, рекомендуется срочное обновление"  
Сообщение от zxczxc (ok) on 02-Май-06, 15:13 
еще 4.4.2 поправили бы
Правка | Высказать мнение | Ответить | Cообщить модератору | Наверх

7. "Вышел PHP 5.1.3, рекомендуется срочное обновление"  
Сообщение от MainFrame on 02-Май-06, 20:44 
жду не дождусь... а то мои CMS-ки на PHP5 колбасит
Правка | Высказать мнение | Ответить | Cообщить модератору | Наверх

2. "Вышел PHP 5.1.3, рекомендуется срочное обновление"  
Сообщение от dmitry (??) on 02-Май-06, 16:35 
Просто они поняли что если поддерживать 4.х версию то на пятерку переход будет еще лет десять, поэтому и четвертое издание php никто не хочет поддерживать. (и я с ними согласен, лучше делать мерседес чем до ума доводить запорожец)
Правка | Высказать мнение | Ответить | Cообщить модератору | Наверх

3. "Вышел PHP 5.1.3, рекомендуется срочное обновление"  
Сообщение от uldus (ok) on 02-Май-06, 17:10 
>Просто они поняли что если поддерживать 4.х версию то на пятерку переход
>будет еще лет десять, поэтому и четвертое издание php никто не
>хочет поддерживать. (и я с ними согласен, лучше делать мерседес чем
>до ума доводить запорожец)

Иными словами в погоне за фичами забили на стабильность и безопасность. Не обижайтесь, но PHP скатывается в область детских поделок, когда нет никакой поддержки прошлых версий и гарантии что будут нормально работать будущие. Забросить стабильноую серию и вынуждать пересаживаться на девелоперскую полную несовместимости, убийственно для enterprise решений.

Правка | Высказать мнение | Ответить | Cообщить модератору | Наверх

14. "Вышел PHP 5.1.3, рекомендуется срочное обновление"  
Сообщение от Квагга on 03-Май-06, 18:58 
Для ентрепрайз решений касса Зенд открыта круглосуточно :)
Правка | Высказать мнение | Ответить | Cообщить модератору | Наверх

4. "Вышел PHP 5.1.3, рекомендуется срочное обновление"  
Сообщение от universite email(ok) on 02-Май-06, 17:33 
Млин! А я только неделю назад 5-ый PHP пересобрал :((
Правка | Высказать мнение | Ответить | Cообщить модератору | Наверх

5. "Вышел PHP 5.1.3, рекомендуется срочное обновление"  
Сообщение от tug email(??) on 02-Май-06, 17:53 
Четверку будут поддерживать, никуда не денутся.
Пятерка так и умрет невостребованная.
Нормально переходить и пользовать будут шестую версию, если с четвертой на неё будет не сложно перейти.
Правка | Высказать мнение | Ответить | Cообщить модератору | Наверх

6. "Вышел PHP 5.1.3, рекомендуется срочное обновление"  
Сообщение от Аноним on 02-Май-06, 18:41 
С 4ки на 5ку перейти трудно. Так с чего бы переход 4 -> 6 вдруг стал легким?!?!?!
По момоему происходит то же что и с Perl'ом. А именно Perl 6 никому не нужен, есть более другие языки для того ... Perl нужет накой какой он есть.
Думаю с PHP делается то же самое ...

GR.

Правка | Высказать мнение | Ответить | Cообщить модератору | Наверх

8. "Вышел PHP 5.1.3, рекомендуется срочное обновление"  
Сообщение от THESERG email(??) on 02-Май-06, 23:24 
да ну? в самом деле?

только вот почти любой хостер предлагает php4 или php5, на выбор

и никто умирать не собирается, все плавненько перейдут на пых-пых 5

Правка | Высказать мнение | Ответить | Cообщить модератору | Наверх

9. "Вышел PHP 5.1.3, рекомендуется срочное обновление"  
Сообщение от enoto on 02-Май-06, 23:36 
> Пятерка так и умрет невостребованная.
И что навело Вас на эту мысль?
Правка | Высказать мнение | Ответить | Cообщить модератору | Наверх

10. "Вышел PHP 5.1.3, рекомендуется срочное обновление"  
Сообщение от tug email(??) on 03-Май-06, 01:11 
Например, не к ночи будет сказано, на одном очень неплохом хостинге про пятерку даже не упоминают - http://masterhost.ru/service/hosting/3/.
Но это плохой пример, там даже mysql 4.1 ставить не собираются.
По результатам опроса на phpclub - http://phpclub.ru/talk/showthread.php?s=&threadid=77540? можно утверждать, что больше половины людей пользуют четверку, хотя времени и причин пересесть на 5 было Очень много (тотже xml).
На главной странице того же ресурса уже вовсю продвигают шестерку.

Из этих данных я делаю подобные выводы, но это естественно всё мои мысли по этому поводу.

За себя я могу сказать, что даже не смотрел на 5 всилу её небольшого распространения на момент появления. А когда человек что-то делает "на вынос", для сообщества, то речи о решениях для менее распространённых систем быть не может. Я надеюсь, что php поменяет политику распространения новых версий на более агрессивную и все будут просто вынуждены пересесть на 6.

Правка | Высказать мнение | Ответить | Cообщить модератору | Наверх

13. "php4/5/6 и релиз-менеджмент"  
Сообщение от Michael Shigorin email on 03-Май-06, 10:30 
> Я надеюсьВышел PHP 5.1.3, рекомендуется срочное обновление
...а я нет.  Агрессия и тут не помогает.
Правка | Высказать мнение | Ответить | Cообщить модератору | Наверх

11. "Вышел PHP 5.1.3, рекомендуется срочное обновление"  
Сообщение от andrew_club (ok) on 03-Май-06, 06:45 
по моему поддержка для 4ки все-таки будет, да и сейчас она на самом деле есть. Просто разработчики продвигают новый продукт более активно и это понятно. Так же понятно что в еще сыром РНР5 много несовершенств и они требуют более активного вмешательства разработчиков, чем 4ая версия, т.к. в ней крупных багов и фатальных ошибок безопасности не встречается. ИМХО
Правка | Высказать мнение | Ответить | Cообщить модератору | Наверх

12. "Вышел PHP 5.1.3, рекомендуется срочное обновление"  
Сообщение от Draco on 03-Май-06, 07:17 
Мдя... Я вот тоже жду не дождусь очередных багофиксов на 4.х
Курить пых 5 пробовал, не вставило... Вернулся на 4...
Тоже по моему происходит и с остальными лангами.
Правка | Высказать мнение | Ответить | Cообщить модератору | Наверх

Архив | Удалить

Индекс форумов | Темы | Пред. тема | След. тема
Оцените тред (1=ужас, 5=супер)? [ 1 | 2 | 3 | 4 | 5 ] [Рекомендовать для помещения в FAQ]




Спонсоры:
PostgresPro
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2022 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру